package com.ruoyi.post.service;

import java.util.List;
import com.ruoyi.post.domain.PostSeries;

/**
 * 邮贝套系信息; Service接口
 * 
 * @author huianan
 * @date 2023-02-11
 */
public interface IPostSeriesService 
{
    /**
     * 查询邮贝套系信息; 
     * 
     * @param seriesId 邮贝套系信息; 主键
     * @return 邮贝套系信息; 
     */
    public PostSeries selectPostSeriesBySeriesId(Long seriesId);

    /**
     * 查询邮贝套系信息; 列表
     * 
     * @param postSeries 邮贝套系信息; 
     * @return 邮贝套系信息; 集合
     */
    public List<PostSeries> selectPostSeriesList(PostSeries postSeries);

    /**
     * 新增邮贝套系信息; 
     * 
     * @param postSeries 邮贝套系信息; 
     * @return 结果
     */
    public int insertPostSeries(PostSeries postSeries);

    /**
     * 修改邮贝套系信息; 
     * 
     * @param postSeries 邮贝套系信息; 
     * @return 结果
     */
    public int updatePostSeries(PostSeries postSeries);

    /**
     * 批量删除邮贝套系信息; 
     * 
     * @param seriesIds 需要删除的邮贝套系信息; 主键集合
     * @return 结果
     */
    public int deletePostSeriesBySeriesIds(Long[] seriesIds);

    /**
     * 删除邮贝套系信息; 信息
     * 
     * @param seriesId 邮贝套系信息; 主键
     * @return 结果
     */
    public int deletePostSeriesBySeriesId(Long seriesId);
}
